/*
    20.02.2015 - rakennettu / build
    13.09.2017 - muokattu viimeksi / last modified
*/

html {
  color: #060405;
  background: #E6E6E6;
}


body {
  font: 0.875em/1.5em Verdana, Arial, sans-serif;
  margin: 0 auto;
}


/* Koko paketti */
.kelmu {
  margin: 0 auto;
  padding: 0 0 3em 0;
  display: block;
}


/* Taustat */
.vari1 {
  background: #7D3732;
}

.vari2 {
  background: #FFFFFF;
}

.vari3 {
  color: #FFFFFF;
}


/* Sisältöosa */
.sisalto {
  max-width: 100em;
  margin: 0 auto;
}


header,
section,
article,
footer,
.designer {
  float: left;
  width: 100%;
  /*border-style: solid;
  border-width: 1px 0;
  border-color: grey;*/

  -webkit-transition: all 0.3s ease-out;
  -moz-transition: all 0.3s ease-out;
  -o-transition: all 0.3s ease-out;
  -ms-transition: all 0.3s ease-out;
  transition: all 0.3s ease-out;
}


header {
  background: #7D3732;
  text-align: center;
}


section {
  background: #FFFFFF;
  margin: auto;
}


article {
  background: #FFFFFF;
  padding: 0.5em;  
  margin-bottom: 1em;
}


footer {
  margin: 0 auto;
  padding: 0;
  color: #FFFFFF;
  background: #7D3732;
  /*font: 1.2em Verdana, Arial, sans-serif;*/
}

.designer p {
  padding-bottom: 3em;
}

/**********************/

/* Alinavivalikko */
.alinavipalkki {
  width: 99%;
}

.alinavi {
  padding-left: 0;
}

.alinavi li {
  list-style-type: none;
  font-weight: 900;
  margin: 0;
}

.alinavi li a {
  display: block;
  /* Yksirivinen
  height: 1.5em;*/
  /* Kaksirivinen */
  max-height: 2.5em;
  color: #ffffff;
  background: #34495E;
  text-decoration: none;
  padding: 0.5em;
  -moz-border-radius: 0.3125em;
  -webkit-border-radius: 0.3125em;
  border-radius: 0.3125em;
}

.alinavi li a.akt {
  color: #ffff00;
}


.alinavi li a:hover {
  background: #1D1D1D;
}
/**********************/

.pohja {
  background: #7D3732;
  /*border: 1px solid yellow;*/
}


/* Listat * * * * * * * * * * * * * * * * * * * * */
ul {
  padding-top: 0.5em;
}

.vakanen ul {
  list-style-image: url('../imgs/lista.png');
}

li, .vakanen li {
  line-height: 1.3;
  padding-bottom: 0.5em;
}


/* Otsikot * * * * * * * * * * * * * * * * * * * * */
h1, h2, h3, h4 {
  font: lighter Tahoma, Helvetica, Arial, sans-serif;
  font-weight: 300;
  letter-spacing: 0.1em;
  line-height: 1.2;
}
h1.otsikko {
  margin-left: 0.2em;
}
h1 { font-size: 1.7em; }
h2 { font-size: 1.5em; }
h2.banner {
  font-size: 1.7em;
  padding-left: 0.3em;
  color: #FFFFFF;
  /* Jotta koko lause putoaa logon alle. */
  float: left;
}
h3 { font-size: 1.3em; }
h4 { font-size: 1.1em; }
h5 { font-size: 1em; }

h6 { font-size: 0.9em; }


/* Kuvat * * * * * * * * * * * * * * * * * * * * */
img {
  max-width: 100%;
}

img.oikea {
  float: right;
  padding: 0 0.625em 0 2.5em;
}

img.vasen {
  float: left;
  padding: 0 2.5em 0 0.625em;
}
img.logo {
  float: left;
  margin: 0 0.5em 0 0;
  padding: 0;
}
img.valja {
  padding: 0 0.5em 0.5em 0;
}


/* Linkit * * * * * * * * * * * * * * * * * * * * */
a:link, a:visited {
  color: #0071BC;
  text-decoration: none;
}

a:active {
  color: #B33632;
}

a:hover {
  color: #34495E;
  text-decoration: underline;
}


hr {
  margin: 2em 0;
  clear: both;
}


abbr[title] {
  color: #B33632;
}


/* Tekstit * * * * * * * * * * * * * * * * * * * * */
.teho {
  color: #000000;
  letter-spacing: 0.1em;
  line-height: 1.1;
}

.virhe {
  color: #FF0000;
}

.kallistettu {
  font-style: oblique;
}


/* Taulukot * * * * * * * * * * * * * * * * * * * * */
table {
  width: 97%;
  margin-bottom: 1em;
}

table.kehys {
  border: 1px solid #73922D;
  background: #FFD700;
}

caption {
  padding: 0.2em;
  font-weight: bold;
}

th, td {
  padding: 0.2em;
}

td.data {
  border: 1px solid #73922D;
  text-align: center;
  background: #DCFA95;
}


/* Lomake * * * * * * * * * * * * * * * * * * * * */
input[type="text"], textarea {
  width: 98%;
  color: #060405;
}

input[type="reset"], input[type="submit"] {
  width: 8em;
  height: 2em;
  color: #B33632;
}





/* Selainikkunan leveyden mukaan... * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

@media only screen and (max-width: 479px) {
  /*header {
    margin-bottom: 0.7em;
  }*/

  article {
    width: 90%;
    margin: 0 0 0 0.5em;
  }
  
  .pohja {
    width: 95%;
    padding: 0 0 0 0.5em;
    margin: 0;
  }

}


@media only screen and (min-width: 480px) {
  /*header {
    margin-bottom: 0.8em;
  }*/

  nav {
    background: #E6E6E6;
  }

  article {
    width: 95%;
  }
  
}


@media only screen and (min-width: 640px) {
  .pohja {
    width: 29%;
    padding: 0 0 1em 1em;
    /*border: solid 1px white;*/
  }
  
}


@media only screen and (min-width: 769px) {
  /*header {
    margin-bottom: 1em;
  }*/

  nav {
    font-size: 1.2em;
  }

  article {
    width: 45%;
    padding: 0.625em;
    margin-left: 0.8em;
  }
}


@media only screen and (min-width: 961px) {
  nav {
    font-size: 1.3em;
  }

  article {
    width: 46%;
    padding: 0.625em;
  }
  
  h2.banner {
    padding-top: 2em;
  }
}


@media only screen and (min-width: 1281px) {
  /*header {
    margin-bottom: 1.3em;
  }*/

  nav {
    font-size: 1.4em;
  }
  
  article {
    width: 46%;
    padding: 0.625em;
    margin-left: 1em;
  }
  
}


@media only screen and (min-width: 1367px) {
  nav {
    font-size: 1.5em;
  }
  
}


@media only screen and (min-width: 1601px) {
  /*.pohja {
    width: 30%;
    margin-left: 9%;
  }*/
  
}